//
//  Contact.swift
//  Aufgabe15
//
//  Created by Michael Freiwald on 18.12.16.
//  Copyright © 2016 Michael Freiwald. All rights reserved.
//

import Foundation

class Contact {
    let firstname:String
    let lastname:String
    var telephone:String
    var email:String
    var birthday:Date
    
    var name:String {
        return firstname + " " + lastname
    }
    
    init(firstname:String, lastname:String, telephone:String, email:String, birthday:Date) {
        self.firstname = firstname
        self.lastname = lastname
        self.telephone = telephone
        self.email = email
        self.birthday = birthday
    }
}

extension Date {
    
    // Gets a string with birthday (e.g. 21.12.2016)
    init(birthday:String) {
        let df = DateFormatter()
        df.dateFormat = "dd.MM.yyyy"
        self = df.date(from: birthday) ?? Date()
        
    }
    
    // Returns the date as a formatted string (e.g. 21. Dec. 2016)
    var birthday:String {
        let df = DateFormatter()
        df.dateFormat = "dd. MMM yyyy"
        return df.string(from: self)
    }
    
}
