//
//  ContactViewController.swift
//  Aufgabe15
//
//  Created by Michael Freiwald on 18.12.16.
//  Copyright © 2016 Michael Freiwald. All rights reserved.
//

import UIKit



class ContactViewController: UIViewController {

    var contact:Contact!
    var selectedDate:Date!
    
    @IBOutlet weak var emailTextField: UITextField!
    @IBOutlet weak var telephoneTextField: UITextField!
    @IBOutlet weak var birthdayTextField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        self.emailTextField.text = self.contact.email
        self.telephoneTextField.text = self.contact.telephone
        self.selectedDate = self.contact.birthday
    }
    
    override func viewWillAppear(_ animated: Bool) {
        self.birthdayTextField.text = self.selectedDate.birthday
    }

    @IBAction func changeBirthday(_ sender: Any) {
        self.performSegue(withIdentifier: "ChangeBirthday", sender: sender)
    }
    
    @IBAction func submitAction(_ sender: Any) {
        self.contact.email = self.emailTextField.text!
        self.contact.telephone = self.telephoneTextField.text!
        self.contact.birthday = self.selectedDate
        
        let _ = self.navigationController?.popViewController(animated: true)
    }
    
    @IBAction func cancelAction(_ sender: Any) {
        let _ = self.navigationController?.popViewController(animated: true)
    }

    
    // MARK: - Navigation

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        if segue.identifier == "ChangeBirthday", let vc = segue.destination as? DateViewController {
            vc.contactViewController = self
        }
    }
    
}



