//
//  ContactsTableViewController.swift
//  Aufgabe15
//
//  Created by Michael Freiwald on 18.12.16.
//  Copyright © 2016 Michael Freiwald. All rights reserved.
//

import UIKit

class ContactsTableViewController: UITableViewController {

    let contactStore = ContactStore.main

    override func viewWillAppear(_ animated: Bool) {
        self.tableView.reloadData()
    }

    // MARK: - Table view data source

    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return self.contactStore.list.count
    }
    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "Cell", for: indexPath)

        let contact = self.contactStore.list[indexPath.row]
        
        cell.textLabel?.text = contact.name
        cell.detailTextLabel?.text = "Phone: \(contact.telephone)"
        
        return cell
    }
    
    // MARK: - Table view delegate

    override func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        self.performSegue(withIdentifier: "ShowContact", sender: indexPath)
    }

    // MARK: - Navigation

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        if segue.identifier == "ShowContact", let vc = segue.destination as? ContactViewController, let indexPath = sender as? IndexPath {
            vc.contact = self.contactStore.list[indexPath.row]
        }
    }
 
}



